Bug 1128735 - schema upgrade perl script chokes on "," float delimiter
Summary: schema upgrade perl script chokes on "," float delimiter
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Installation
Version: 2.2
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space23
TreeView+ depends on / blocked
 
Reported: 2014-08-11 12:52 UTC by Mario Mikocevic
Modified: 2015-04-14 19:04 UTC (History)
3 users (show)

Fixed In Version: spacewalk-schema-2.3.10-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-14 19:04:11 UTC


Attachments (Terms of Use)

Description Mario Mikocevic 2014-08-11 12:52:04 UTC
Description of problem:

# /usr/bin/spacewalk-schema-upgrade
Argument "551,5" isn't numeric in addition (+) at /usr/bin/spacewalk-schema-upgrade line 95.

Version-Release number of selected component (if applicable):

# rpm -qf /usr/bin/spacewalk-schema-upgrade
spacewalk-schema-2.2.33-1.el6.noarch


Additional info:

# env | grep -i nls
# env | grep -i lang
LANG=en_US.UTF-8

Oracle server has Croatian_Croatia.UTF-8 setting.

basically perl barfs on wrong delimiter in float numbers ..

Comment 1 Jan Pazdziora 2014-08-11 17:32:40 UTC
If you do

export NLS_LANG=AMERICAN_AMERICA.UTF8

before running spacewalk-schema-upgrade, will the run pass?

Comment 2 Mario Mikocevic 2014-08-12 08:02:53 UTC
No, it will not, even tried with NLS_LANG=Croatian_Croatia.UTF8,
but when I added
NLS_NUMERIC_CHARACTERS='. '
it passed schema upgrade.
So apparently it needs both env settings.

Comment 4 Michael Mráka 2014-08-29 09:08:00 UTC
Fixed in spacewalk master by

commit 5a53d60428d50f8fde2950c904ae571235fa276c
    1128735 - force character set and numerical separators to good known defaults.

Comment 5 Grant Gainey 2015-03-23 16:59:37 UTC
Moving bugs to ON_QA as we move to release Spacewalk 2.3

Comment 6 Grant Gainey 2015-04-14 19:04:11 UTC
Spacewalk 2.3 has been released. See

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes23


Note You need to log in before you can comment on or make changes to this bug.